Skip to main content
PUT
/
api
/
v1
/
workflows
/
{workflow_id}
Update Workflow
curl --request PUT \
  --url https://api.example.com/api/v1/workflows/{workflow_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "trigger": {
    "type": "<string>",
    "event": "<string>",
    "collection": "<string>",
    "condition": "<string>"
  },
  "steps": [
    {}
  ],
  "enabled": true
}
'
{
  "id": "<string>",
  "account_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "trigger_type": "<string>",
  "trigger_config": {},
  "steps": [
    {}
  ],
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>"
}

Path Parameters

workflow_id
string
required

Body

application/json
name
string | null
Required string length: 1 - 200
description
string | null
trigger
EventTriggerConfig · object
steps
Steps · object[] | null
enabled
boolean | null

Response

Successful Response

id
string
required
account_id
string
required
name
string
required
description
string | null
required
trigger_type
string
required
trigger_config
Trigger Config · object
required
steps
Steps · object[]
required
enabled
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
created_by
string | null
required